package com.salpa.online.service;

import com.salpa.common.core.domain.AjaxResult;
import com.salpa.subject.domain.MonitorDataSource;

import java.util.List;

public interface OnlineService {

    List<MonitorDataSource> getDataSource();

    AjaxResult connectDataSource(String databaseName);

    AjaxResult testExecute(String databaseName, String script);
}
